﻿@model EPPW.Membership.Dto.UserDto
@{
    ViewBag.Title = "Edit";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    User</p>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">
        @using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), FormMethod.Post, new { @class = "form-horizontal" }))
        {
            <fieldset>
                <legend>User Edit</legend>
                @Html.HiddenFor(model => model.UserId)
                <div class="control-group">
                    @Html.LabelFor(model => model.UserName, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.UserName)
                            @Html.ValidationMessageFor(model => model.UserName)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Email, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.Email)
                            @Html.ValidationMessageFor(model => model.Email)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Password, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.PasswordFor(model => model.Password)
                            @Html.ValidationMessageFor(model => model.Password)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Name, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.Name)
                            @Html.ValidationMessageFor(model => model.Name)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.PasswordQuestion, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.PasswordQuestion)
                            @Html.ValidationMessageFor(model => model.PasswordQuestion)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.PasswordAnswer, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.PasswordAnswer)
                            @Html.ValidationMessageFor(model => model.PasswordAnswer)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Comment, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.Comment)
                            @Html.ValidationMessageFor(model => model.Comment)
                        </div>
                    </div>
                </div>
                <p>
                    <input type="submit" value="Save" />
                </p>
            </fieldset>
        }
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
